Page MenuHomePhabricator

Make Unique Devices dataset public {mole}
Closed, ResolvedPublic13 Story Points

Description

Make last access data public.

We should aim to do our last access datasets public. In order to do that we might need to drop the longtail for projects/countries in which there is a small number of views or rather, do not publish the country dimension.

Should we use cassnadra or dumps? Or both? This task will be done when we've had meetings and decided/designed what we're going to do. A part of that design will be ensuring privacy and security of the data. Also, we will decide the format of the data released and/or the query structure of a potential hyperswitch endpoint.

Details

Related Gerrit Patches:

Event Timeline

Nuria created this task.Feb 12 2016, 5:09 PM
Nuria raised the priority of this task from to High.
Nuria updated the task description. (Show Details)
Nuria added a project: Analytics.
Nuria added subscribers: Nuria, ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2016, 5:09 PM
Nuria updated the task description. (Show Details)Feb 16 2016, 4:26 PM
Nuria set Security to None.
Nuria edited projects, added Analytics-Kanban; removed Analytics.Feb 17 2016, 4:55 PM
Milimetric renamed this task from Make last access data public to Make last access data public {mole} [13 pts].Feb 17 2016, 5:50 PM
Milimetric updated the task description. (Show Details)
Milimetric renamed this task from Make last access data public {mole} [13 pts] to Make last access data public {mole}.Feb 22 2016, 9:06 PM
Milimetric set the point value for this task to 13.
JAllemandou moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 274187 had a related patch set uploaded (by Joal):
Add archive stage to last_access_uniques jobs

https://gerrit.wikimedia.org/r/274187

Change 274187 merged by Nuria:
Add archive stage to last_access_uniques jobs

https://gerrit.wikimedia.org/r/274187

Change 276158 had a related patch set uploaded (by Joal):
Add rsync job for unique_devices dataset.

https://gerrit.wikimedia.org/r/276158

Change 276158 merged by Ottomata:
Add rsync job for unique_devices dataset.

https://gerrit.wikimedia.org/r/276158

Nuria renamed this task from Make last access data public {mole} to Create file dumps for last access that can be downloaded publically {mole}.Mar 9 2016, 4:34 PM
Nuria renamed this task from Create file dumps for last access that can be downloaded publically {mole} to Make last access data public {mole}.Mar 9 2016, 4:36 PM
Nuria renamed this task from Make last access data public {mole} to Make Unique Devices dataset public {mole}.Mar 17 2016, 7:48 PM
Nuria closed this task as Resolved.Apr 1 2016, 8:41 PM